%global commit bcbe740598747c97d1911ecad8c2865887363df8
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global pkgname mongoengine

Name: python-mongoengine
Version: 0.8.4
Release: 1%{?dist}
Summary: A Python Document-Object Mapper for working with MongoDB

License: MIT
URL:     http://pypi.python.org/pypi/mongoengine/
Source0: https://github.com/MongoEngine/mongoengine/archive/%{commit}/%{pkgname}-%{version}-%{shortcommit}.tar.gz

Patch1: mongoengine.patch
BuildArch: noarch
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-sphinx
BuildRequires: python-dateutil

%if 0%{?fedora} >= 18
BuildRequires: python-pymongo
BuildRequires: python-django
BuildRequires: python-pymongo-gridfs
Requires: python-pymongo
Requires: python-pymongo-gridfs
%else
BuildRequires: pymongo >= 2.1.1
BuildRequires: Django
BuildRequires: pymongo-gridfs
Requires: pymongo >= 2.1.1
Requires: pymongo-gridfs
%endif

BuildRequires: mongodb-server
BuildRequires: mongodb
BuildRequires: python-blinker
%if 0%{?fedora} >= 19
BuildRequires: python-pillow
Requires:      python-pillow
%else
Requires: python-imaging
BuildRequires: python-imaging
%endif
BuildRequires: python-coverage
BuildRequires: python-nose
Requires: python-blinker


%description
MongoEngine is a Document-Object Mapper (think ORM,
but for document databases) for working with MongoDB
from Python. It uses a simple declarative API, similar
to the Django ORM.


%prep
%setup -q -n %{pkgname}-%{commit}

%if 0%{?fedora} >= 19
%patch1 -p1
%endif

rm -rf mongoengine.egg-info


%build
python setup.py build

PYTHONPATH=$(pwd) make -C docs html
rm -f docs/_build/html/.buildinfo


%install
python setup.py install --skip-build --root %{buildroot}


%check
mkdir -p data/db
mkdir -p data/log
%{_exec_prefix}/bin/mongod --dbpath data/db --fork --logpath data/log/mongod.log --smallfiles
sleep 1
python setup.py test
%{_exec_prefix}/bin/mongod --dbpath data/db --shutdown
rm -r data/
rm -f test/*.pyc


%files
%doc README.rst LICENSE docs/_build/html
%{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}-*.egg-info


%changelog
* Mon Aug 26 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.8.4-1
- New Version
* Mon Aug 12 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.8.3-1
- New version
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Mar 13 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 0.7.9-5
- Fix setup.py (add python-pillow instead python-imaging)

* Mon Jan 28 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.7.9-4
- Add Requires: pymongo, python-gridfs for f17
- Add Requires: python-pymongo, python-pymongo-gridfs for f18+
- Add Requires: python-blinker, python-imaging

* Sun Jan 27 2013 Yohan Graterol <yohangraterol92@gamil.com> - 0.7.9-3
- Built and included test
- Add BuildRequires: python-django >= 1.3

* Sun Jan 27 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.7.9-2
- Built and included sphinx docs
- Add BuildRequires: python-sphinx, python-pymongo, pymongo-gridfs
- Add BuildRequires: python-coverage, python-nose

* Thu Jan 17 2013 Yohan Graterol <yohangraterol92@gmail.com> - 0.7.9-1
- Initial packaging
